package ITUannotation;

import javax.swing.JCheckBox;


	public class CheckBoxList extends JCheckBox{

	    public CheckBoxList(String s) {
	    	super(s);	
	    	arrowNum = -1;
	    }
	    public void setArrowNum(int i){
	    	arrowNum = i;
	    }
	    public int getArrowNum(){
	    	return arrowNum;
	    }
	    public void setenable(boolean b){
	    	enable = b;
	    }
	    public boolean getenable(){
	    	return enable;
	    }
	    public void setClicked(boolean b){
	    	clicked = b;
	    }
	    public boolean getClicked(){
	    	return clicked;
	    }
	    public void refleshArrowNum(int i){
	    	if(arrowNum != -1)
	    		arrowNum -= i;
	    }
	    public void setLabelNum(int i){
	    	labelNum = i;
	    }
	    public void setCheckBoxNum(int i){
	    	checkBoxNumber = i;
	    }
	    public void setTotalCheckBoxNum(int i){
	    	totalCheckBoxNumber = i;
	    }
	    public int getLabelNum(){
	    	return labelNum;
	    }
	    public int getCheckBoxNum(){
	    	return labelNum;
	    }
	    public int getTotalCheckBoxNum(){
	    	return labelNum;
	    }
	    
	    public void setArrayOrder(int Order){
	    	arrOrder = Order;
	    }
	    
	    public int getArrayOrder(){
	    	return arrOrder;
	    }
	    private boolean clicked;
	    private boolean enable;
	    private int arrowNum; 
	    
	    private int labelNum;
	    private int checkBoxNumber;
	    private int totalCheckBoxNumber;
	    private int arrOrder = -1;
	}


